;;; This file is part of turtle, a turtle-graphics system for Scheme.

;;; Copyright (C) 2008  Luca Saiu

;;; This program is free software: you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation, either version 3 of the License, or
;;; (at your option) any later version.

;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.

;;; You should have received a copy of the GNU General Public License
;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(load "useful-macros.scm")

(define maximum-error 1.5)

(define (random-between minimum maximum)
  (let ((random-between-0-and-1 (random 1.0)))
    (+ minimum 
       (* random-between-0-and-1 maximum))))

(hide)
(for i 1 3600
     (move (/ i 1000))
     (let ((angle (random-between (- 1 (/ maximum-error 2))
                                  (+ 1 (/ maximum-error 2)))))
       (left angle)))
(show)
(sleep 2)
